+++
title = "J.A.C.K Cheat Sheet"
description = "A small cheat sheet for mapping a Half-Life Mod with J.A.C.K."
date = 2023-08-05
[taxonomies]
categories = ["Half-Life"]
tags = ["Half-Life Mapping"]

[extra]
comments = false
toc = true 
+++

You're starting on modding Half Life 1? Me too!

I've made a small cheat sheet to get started on HL mapping with J.A.C.K. 

**Always always make sure to have these two entities:**
1. info_player_start 
2. light 

Before compiling your .map to .bsp.

**(Always have your Steam open while your mapping)**.
## Some Important Shortcuts/Keys to Consider:
**z**: Enable mouselook navigation (The mouse needs to be on the "camera" pane)

![mouselookNav.gif](mouselookNav.gif)

**Shift+S**: Selection tool

**Shift+B**: Block Creation tool

**Shift+A**: Texture Application tool

**Shift+X**: Clipping tool

**Shift+V**: Vertex Manipulation tool

**Shift+E**: Entity Creatino Tool

**Shift+C**: Camera

**F9**: Opens up "Run Map \[Advanced\]". Click "Ok" to compile.

**F5**: Export the map (prompts you to export .map to a particular path. Click "Yes" to export)

**F2** \[or Tools -> Options\]: Opens up "Configure J.A.C.K."

## Panning:
1. Click the middle mouse button (mouse wheel) and hold.
2. Move the mouse.
3. You should be seeing the arrow-cross icon pop up.

![Panning](Panning.gif)

## To Rotate a Solid:
1. Click on the block creation tool to create an object.
2. Select the object from the camera pane.
3. Click on the block object once to rotate it.

![Rotate a Solid](RotateASolid.gif)

## Run your Mod Directly from J.A.C.K. 
If you want, you may wish to run the mod after compilation directly from J.A.C.K instead of running your mod on Steam.
1. Don't forget to leave your Steam open.
2. Type F9 to open "Run Map \[Advanced\]"

![Run Map (Advanced)](RunMap.png)

3. Add the parameter `-game` (see [link](https://developer.valvesoftware.com/wiki/Command_line_options)) before the name of your mod (In my case, "myhlmod").


<a href="./jack_cheatsheet.zip">
    <button class="button">Download Cheatsheet</button>
</a>